# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global python2ver %(python2 -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)
%global python3ver %(python3 -c "import sys; print(sys.version[:3])" 2>/dev/null || echo 0.0)

# For consistency and completeness
%global python2_pkgversion 2
# Single python3 version in Fedora, python3_pkgversion macro not available
%{!?python3_pkgversion:%global python3_pkgversion 3}

Name:		python-setuptools_subversion
Version:	3.1
Release:	2.%{__distinit}%{__distvers}
Summary:	Setuptools revision control system plugin for Subversion
License:	BSD
URL:		https://pypi.python.org/pypi/setuptools_subversion
Source0:	https://pypi.python.org/packages/source/s/setuptools_subversion/setuptools_subversion-%{version}.zip
BuildArch:	noarch
BuildRequires:	python2-devel >= 2.4
BuildRequires:	python2-setuptools
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	sed

%description
Setuptools has built-in support for subversion repositories; it'll find all
files tracked by subversion and include them when building a distribution.

However, this support directly reads the private subversion repository
metadata files, and these have been know to change from version to version.
For example, subversion 1.7 switched to one top-level '.svn' directory with
a sqlite database, instead of separate directories throughout the working
copy with proprietary or XML text files in preceding versions. As of the time
of this package development, setuptools does not yet support working copies
using the subversion 1.7 sqlite database format.

This package uses the 'svn list' command instead to list files in a repository,
avoiding having to know about every version of subversion and its particular
metadata formats.

Note that when using setuptools on a subversion 1.7 working copy, setuptools
itself will complain about not being able to parse the '.svn/entries' file
before it delegates file listing to this plugin. This is just a warning, and
can safely be ignored.

%package -n python%{python2_pkgversion}-setuptools_subversion
Summary:	Setuptools revision control system plugin for Subversion
%if 0%{?fedora}
%{?python_provide:%python_provide python2-setuptools_subversion}
%else
Obsoletes:	python-setuptools_subversion <= %{version}-%{release}
Provides:	python-setuptools_subversion = %{version}-%{release}
%endif

%description -n python%{python2_pkgversion}-setuptools_subversion
Setuptools has built-in support for subversion repositories; it'll find all
files tracked by subversion and include them when building a distribution.

However, this support directly reads the private subversion repository
metadata files, and these have been know to change from version to version.
For example, subversion 1.7 switched to one top-level '.svn' directory with
a sqlite database, instead of separate directories throughout the working
copy with proprietary or XML text files in preceding versions. As of the time
of this package development, setuptools does not yet support working copies
using the subversion 1.7 sqlite database format.

This package uses the 'svn list' command instead to list files in a repository,
avoiding having to know about every version of subversion and its particular
metadata formats.

Note that when using setuptools on a subversion 1.7 working copy, setuptools
itself will complain about not being able to parse the '.svn/entries' file
before it delegates file listing to this plugin. This is just a warning, and
can safely be ignored.

This is the Python 2 build of the package.

%package -n python%{python3_pkgversion}-setuptools_subversion
Summary:	Setuptools revision control system plugin for Subversion
%{?python_provide:%python_provide python%{python3_pkgversion}-setuptools_subversion}

%description -n python%{python3_pkgversion}-setuptools_subversion
Setuptools has built-in support for subversion repositories; it'll find all
files tracked by subversion and include them when building a distribution.

However, this support directly reads the private subversion repository
metadata files, and these have been know to change from version to version.
For example, subversion 1.7 switched to one top-level '.svn' directory with
a sqlite database, instead of separate directories throughout the working
copy with proprietary or XML text files in preceding versions. As of the time
of this package development, setuptools does not yet support working copies
using the subversion 1.7 sqlite database format.

This package uses the 'svn list' command instead to list files in a repository,
avoiding having to know about every version of subversion and its particular
metadata formats.

Note that when using setuptools on a subversion 1.7 working copy, setuptools
itself will complain about not being able to parse the '.svn/entries' file
before it delegates file listing to this plugin. This is just a warning, and
can safely be ignored.

This is the Python 3 build of the package.

%prep
%setup -q -n setuptools_subversion-%{version}

# rpmlint E: non-executable-script
sed -i '/^#!\/usr\/bin\/env python/d' setuptools_subversion.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python%{python2_pkgversion}-setuptools_subversion
%license LICENSE.txt
%doc CHANGES.rst PKG-INFO README.rst
%{python2_sitelib}/setuptools_subversion.py*
%{python2_sitelib}/setuptools_subversion-%{version}-py%{python2ver}.egg-info/

%files -n python%{python3_pkgversion}-setuptools_subversion
%license LICENSE.txt
%doc CHANGES.rst PKG-INFO README.rst
%{python3_sitelib}/setuptools_subversion.py*
%{python3_sitelib}/__pycache__/setuptools_subversion.cpython-3*.pyc
%{python3_sitelib}/setuptools_subversion-%{version}-py%{python3ver}.egg-info/

%changelog
* Thu Jan 18 2018 Paul Howarth <paul@city-fan.org> - 3.1-2
- Create python2- and python3- packages
- Spec modernization

* Thu Oct  8 2015 Paul Howarth <paul@city-fan.org> - 3.1-1
- Initial RPM package
